subversion support for APR 1.6 missing for windows?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

subversion support for APR 1.6 missing for windows?

Barry Scott
It seems that the subversion windows build does not support
apr 1.6.3, apr-utils 1.6.1 and apr-icon 1.2.1-R2 with unbundled
libexpat.

Did I miss something or is the state of play at the moment?

Calling gen-make.py like this for svn 1.9.7:

py -2 gen-make.py -t vcproj
--vsnet-version=2015 --release ^ --with-apr=%TARGET%\apr ^
    --with-apr-util=%TARGET%\apr-util ^
    --with-apr-iconv=%TARGET%\apr-iconv ^
    --with-serf=%TARGET%\serf-%SERF_VER% ^
    --with-openssl=%TARGET%\openssl ^
    --with-zlib=%TARGET%\zlib-%ZLIB_VER% ^
    --with-sqlite=%TARGET%\subversion-%SVN_VER%\sqlite-amalgamation ^
    --disable-gmock

I see the following error:

ERROR: 'C:\BuildRoot\Win64-VC-14.0-1.9.7\apr-util\include\expat.h' not
found. Use '--with-apr-util' option to configure APR-Util's XML
location.

Barry
Reply | Threaded
Open this post in threaded view
|

Re: subversion support for APR 1.6 missing for windows?

Jan Ehrhardt
barry in gmane.comp.version-control.subversion.devel (Wed, 27 Dec 2017
17:48:29 +0000):
>ERROR: 'C:\BuildRoot\Win64-VC-14.0-1.9.7\apr-util\include\expat.h' not
>found. Use '--with-apr-util' option to configure APR-Util's XML
>location.

Try putting the expat-headers in apr-util\xml\expat\lib and a compiled
libexpat.lib in apr-util\xml\expat\lib\LibR\ and/or apr-util\xml\.
--
Jan

Reply | Threaded
Open this post in threaded view
|

Re: subversion support for APR 1.6 missing for windows?

Barry Scott


> On 28 Dec 2017, at 17:20, Jan Ehrhardt <[hidden email]> wrote:
>
> barry in gmane.comp.version-control.subversion.devel (Wed, 27 Dec 2017
> 17:48:29 +0000):
>> ERROR: 'C:\BuildRoot\Win64-VC-14.0-1.9.7\apr-util\include\expat.h' not
>> found. Use '--with-apr-util' option to configure APR-Util's XML
>> location.
>
> Try putting the expat-headers in apr-util\xml\expat\lib and a compiled
> libexpat.lib in apr-util\xml\expat\lib\LibR\ and/or apr-util\xml\.

You are suggesting I fake what would be the situation after an apr util 1.5 build
Thats a work around I can try.

Is there a plan to fix this in the svn code do you need a ticket?

Barry
> --
> Jan
>

Reply | Threaded
Open this post in threaded view
|

Re: subversion support for APR 1.6 missing for windows?

Daniel Shahaf-2
Barry wrote on Thu, 28 Dec 2017 21:47 +0000:
> Is there a plan to fix this in the svn code do you need a ticket?

Tickets aren't required; posting on dev@ suffices to draw the right
people's attention.  (Though some of them may be on vacation)

If you wish to write a patch please develop it against trunk.

Cheers,

Daniel